# Uses of Class
org.apache.lucene.codecs.FieldsConsumer

Packages that use FieldsConsumer
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene103
Lucene 10.3 file format.
org.apache.lucene.codecs.lucene103.blocktree
BlockTree terms dictionary.
org.apache.lucene.codecs.perfield
Postings format that can delegate to different formats per-field.

- ## Uses of FieldsConsumer in org.apache.lucene.codecs

  Methods in org.apache.lucene.codecs that return FieldsConsumer
  Modifier and Type
  Method
  Description
  `abstract FieldsConsumer`
  PostingsFormat.`fieldsConsumer(SegmentWriteState state)`
  Writes a new segment

- ## Uses of FieldsConsumer in org.apache.lucene.codecs.lucene103

  Methods in org.apache.lucene.codecs.lucene103 that return FieldsConsumer
  Modifier and Type
  Method
  Description
  `FieldsConsumer`
  Lucene103PostingsFormat.`fieldsConsumer(SegmentWriteState state)`

- ## Uses of FieldsConsumer in org.apache.lucene.codecs.lucene103.blocktree

  Subclasses of FieldsConsumer in org.apache.lucene.codecs.lucene103.blocktree
  Modifier and Type
  Class
  Description
  `final class`
  `Lucene103BlockTreeTermsWriter`
  Block-based terms index and dictionary writer.

- ## Uses of FieldsConsumer in org.apache.lucene.codecs.perfield

  Methods in org.apache.lucene.codecs.perfield that return FieldsConsumer
  Modifier and Type
  Method
  Description
  `final FieldsConsumer`
  PerFieldPostingsFormat.`fieldsConsumer(SegmentWriteState state)`